package com.ycwl.basic.profitsharing.entity;

import com.alibaba.fastjson.JSON;
import com.ycwl.basic.profitsharing.enums.ProfitSharingWxPayType;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Map;

@Data
public class ProfitSharingUser {
    private Long id;
    private Long configId;
    private ProfitSharingWxPayType wxPayType;
    private Map<String, String> wxPayConfig;
    private String name;
    private String description;
    /**
     * 微信分账比例，单位为%
     */
    private BigDecimal wxRate;
    /**
     * 实际分账比例，单位为%
     */
    private BigDecimal realRate;
    private BigDecimal orderAmount; // 订单金额

    public void setWxPayConfig(String wxPayConfig) {
        this.wxPayConfig = JSON.parseObject(wxPayConfig, Map.class);
    }

    public String getWxPayConfig() {
        return JSON.toJSONString(wxPayConfig);
    }
}